#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int t;
    cin >> t;
    for(int i = 0; i < t; i++){
        long long a, b;
        cin >> a >> b;
        bool ima = false;
        for(long long j = sqrt(a); j > 0; j--){
            if(a % j == 0){
                long long x = j;
                long long y = a / j;
                long long pom = x ^ y;
                if(b == pom){
                    cout << x << " " << y << endl;
                    ima = true;
                    break;
                }
            }
        }
        if(ima == false){
            cout << -1 << endl;
        }
    }
    return 0;
}